Skip to content
Home

Kling V1.6 - Text to Video

kling-v1-6-t2v

High-quality video generation with reliable motion consistency and stable scene understanding.

kling-v1-6-t2v generates videos in std mode at 720p resolution with 24fps frame rate.

kling-v1-6-t2v generates videos in pro mode at 1080p resolution with 24fps frame rate.

POST /v1/queue/kling-v1-6-t2v # Create task
GET /v1/queue/kling-v1-6-t2v/requests/{request_id}/status # Check status
GET /v1/queue/kling-v1-6-t2v/requests/{request_id}/response # Get result
PUT /v1/queue/kling-v1-6-t2v/requests/{request_id}/cancel # Cancel task
Окно терминала
curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-v1-6-t2v' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--location \
--data-raw '{
"prompt": "A cinematic drone shot over a misty mountain range at sunrise",
"negative_prompt": "blurry, low quality, distorted",
"cfg_scale": 0.5,
"mode": "std"
}'
prompt string required

Video generation prompt, maximum 2500 characters

negative_prompt string

Negative text prompt, maximum 2500 characters

cfg_scale number

Generation freedom level. Higher values mean less model freedom and stronger correlation with user prompt

Range: 0 - 1

mode string

Video generation mode

std: Standard mode, basic mode with high cost-effectiveness

pro: Expert mode (high quality), high performance mode with better video quality

Options: std, pro

Default: std

aspect_ratio string

Video aspect ratio (width:height)

Options: 16:9, 9:16, 1:1

Default: 16:9

duration number

Video duration in seconds

Options: 5, 10

Default: 5

watermark_info array

Whether to generate results with watermarks simultaneously

Defined via the enabled parameter, specific format as follows:

"watermark_info": {

"enabled": boolean // true for generation, false for no generation

}

Custom watermarks are not currently supported

callback_url string

Callback notification address for this task result. If configured, the server will actively notify when the task status changes

external_task_id string

Custom task ID

User-defined task ID, will not overwrite the system-generated task ID when provided, but supports task query via this ID

Please note that uniqueness must be ensured under a single user

{
"request_id": "task_01hxyz...",
"response_url": "https://odirouter.ai/model/v1/queue/kling-v1-6-t2v/requests/task_01hxyz.../response",
"status_url": "https://odirouter.ai/model/v1/queue/kling-v1-6-t2v/requests/task_01hxyz.../status",
"cancel_url": "https://odirouter.ai/model/v1/queue/kling-v1-6-t2v/requests/task_01hxyz.../cancel",
"queue_position": 0
}
FieldTypeDescription
request_idstringTask ID used for all follow-up operations.
response_urlstringURL to fetch the final result.
status_urlstringURL to query task status.
cancel_urlstringURL to cancel the task.
queue_positionintCurrent queue position.